Accounts - Get Status
Returns RecommendationsService Account status.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.RecommendationsService/accounts/{accountName}/status?api-version=2022-02-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
account
|
path | True |
string |
The name of the RecommendationsService Account resource. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscription
|
path | True |
string minLength: 1 |
The ID of the target subscription. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The status of the account. |
|
| Other Status Codes |
Error response describing why the operation failed. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | Impersonate your user account. |
Examples
| Get account status - no Modeling resource exists |
|
Get Recommendations |
Get account status - no Modeling resource exists
Sample request
POST https://management.azure.com/subscriptions/xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx/resourceGroups/rg/providers/Microsoft.RecommendationsService/accounts/sampleAccount/status?api-version=2022-02-01
Sample response
{}
Get RecommendationsService Account status - Modeling resource exists
Sample request
POST https://management.azure.com/subscriptions/xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx/resourceGroups/rg/providers/Microsoft.RecommendationsService/accounts/sampleAccount/status?api-version=2022-02-01
Sample response
{
"scopesStatuses": [
{
"scope": "modeling1",
"statuses": [
{
"stage": "DataAccess",
"status": "Success",
"time": "2021-08-31T17:15:31.2485861Z"
},
{
"stage": "DataValidation",
"status": "Failed",
"time": "2021-08-31T17:16:31.2485861Z"
},
{
"stage": "Model",
"status": "Pending",
"time": "2021-08-31T17:17:31.2485861Z"
}
]
}
]
}
Definitions
| Name | Description |
|---|---|
|
Account |
Account status. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Scope |
Scope statuses. |
|
Stage |
Stage status. |
AccountStatus
Account status.
| Name | Type | Description |
|---|---|---|
| scopesStatuses |
The list of scopes statuses. |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
ScopeStatuses
Scope statuses.
| Name | Type | Description |
|---|---|---|
| scope |
string |
The scope that the statuses refers to. |
| statuses |
Scope stage statuses. |
StageStatus
Stage status.
| Name | Type | Description |
|---|---|---|
| stage |
string |
The stage name. |
| status |
string |
The status of the stage. |
| time |
string (date-time) |
The time of the status. |